foreman-installer problems

02/24/2018 05:31 PM - Matthew Smith

Status: Resolved   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello 3.6.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have found that when I run each of the following:

foreman-installer --scenario katello \

--enable-foreman-plugin-ansible

foreman-installer --scenario katello \

--enable-foreman-plugin-openscap

foreman-installer --scenario katello \

--enable-foreman-plugin-remote-execution

they produces the following error from a fresh install.

/Stage[main]/Foreman/Foreman::Rake[apipie:cache:index]/Exec[foreman-rake-apipie:cache:index]: Failed to call refresh:

'/usr/sbin/foreman-rake apipie:cache:index' returned 1 instead of one of [0]

/Stage[main]/Foreman/Foreman::Rake[apipie:cache:index]/Exec[foreman-rake-apipie:cache:index]: '/usr/sbin/foreman-rake

apipie:cache:index' returned 1 instead of one of [0]

History

#1 - 02/28/2018 10:15 AM - Matthew Smith

- Subject changed from foreman-installer probles to foreman-installer problems

- Category set to Installer

#2 - 03/28/2018 06:21 PM - John Mitsch

- translation missing: en.field_release changed from 284 to 352

#3 - 06/17/2018 07:40 PM - Matthew Smith

- Status changed from New to Resolved

This is now working as expected in the 3.6.0 release and 3.7RC release
